<?php



namespace App\Http\Requests\UpdateRequests;



use Illuminate\Foundation\Http\FormRequest;

use Illuminate\Http\Request;



class SampleUpdateRequest extends FormRequest

{

    /**

     * Determine if the user is authorized to make this request.

     *

     * @return bool

     */

    public function authorize()

    {

        return true;

    }



    /**

     * Get the validation rules that apply to the request.

     *

     * @return array

     */

    public function rules()

    {

        return [

            'physician_id' => 'required|integer',
	       'sample_source_id' => 'required|integer',

            //'sample_condition' => 'nullable',

            //'reject_comment_id' => 'nullable',

            'collected_date' => 'required|date',

            'received_date' => 'required|date',

            'admission_date' => 'required|date',

            //'diagnosis' => 'nullable',

            //'is_urgent' => 'accepted'

        ];

    }



    public function messages()

    {

        return [

        ];

    }



}

